Bug 318538 - Krunner grabs all key presses when no application has focus. Please make that feature configurable (plasma 4 and plasma 5)
Summary: Krunner grabs all key presses when no application has focus. Please make that...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Desktop Containment (show other bugs)
Version: 5.20.5
Platform: Archlinux Packages Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: usability
: 380284 451968 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-04-18 08:06 UTC by Marius Orcsik
Modified: 2022-03-28 22:05 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marius Orcsik 2013-04-18 08:06:28 UTC
When no applications has the keyboard focus, if I type something, Krunner pops up without being invoked with Alt+F2.

Reproducible: Always

Steps to Reproduce:
1. Click the plasma desktop.
2. Type some letters

Actual Results:  
Krunner pops up with the text I just entered.

Expected Results:  
Nothing should happen.

If this is intended behaviour, I would appreciate an option to turn it off.
Comment 1 Jekyll Wu 2013-04-23 15:58:04 UTC
That is the intended behaviour according to the code, but it is actually plasma-desktop that decides to do so.  krunner itself knows nothing about this feature. 

Why do you want to turn the feature off ?  Does it annoy you, stand in your way  or interrupt your workflow ?
Comment 2 Marius Orcsik 2013-04-24 12:35:52 UTC
It's a totally unexpected behaviour for someone that is used to having a key sequence trigger launching applications.

Maybe it's a good idea overall, but it needs a better integration into the shell paradigm. Having krunner pop-up out of the blue and without warning, is not friendly to the user, in my opinion.

So, I would call this a minor inconvenience, but one that made me disable krunner in favour of the Mangonel launcher.
Comment 3 Ivan Čukić 2015-12-01 18:53:44 UTC
I've changed the version to unspecified since this both affects plasma 4 and 5.

In Plasma 5, we have lifted the long standing ban on cashew-killing, IMO we might as well support this. It would belong in the Tweaks section.

Thoughts?
Comment 4 Kai Uwe Broulik 2015-12-01 19:08:01 UTC
> It's a totally unexpected behaviour for someone that is used to having a key sequence trigger launching applications.

What do you mean? If I press a shortcut to launch an application, it does not pop up.
Comment 5 Marius Orcsik 2015-12-01 19:10:37 UTC
Sorry if I have been unclear:

I don't want Krunner to popup any other time except when I specifically call it with its shortcut  (Alt+F2).
Comment 6 zb4ng 2019-01-17 16:00:56 UTC
This is imho a bit of a security issue: Some time ago, I entered my root password accidentally into there (instead of a "konsole"-window) and it looks like some krunner plugins talk to remote servers (e.g. "Locations" or "OpenStreetMap with Marble")
Please add a checkbox "Start krunner when typing on plasma desktop ?" or sth like that to system settings. (I didn't find a way to switch off in a config file.)

openSuSE LEAP 15.0
KDE plasma version: 5.12.6
Comment 7 Nate Graham 2021-01-08 20:31:48 UTC
*** Bug 380284 has been marked as a duplicate of this bug. ***
Comment 8 Nate Graham 2021-01-08 20:32:43 UTC
This is especially relevant when using the Folder View desktop containment, where the user probably expects typing to invoke type-ahead behavior, as in a file manager window.
Comment 9 zeertzjq 2021-03-26 00:43:52 UTC
This feature is also annoying when I am typing in a window and the desktop suddenly regains focus. This happened a few time when I began typing in Yakuake before the desktop had full started, but it can happen on other occasions at well.
Comment 10 jimbo 2022-01-21 15:18:39 UTC
> Does it annoy you, stand in your way  or interrupt your workflow ?

I would say 'yes' to all three. I expect to be able to jump to files on the Desktop in a similar fashion to Dolphin, it's jarring that the Desktop is any different. If I want to search, I hit the 'Windows' key and search from there. For me it's counter-intuitive when you can see the Desktop but you can't jump though the files. I never called on any search function, it just presents itself. That's annoying to me because it assumes what I want to do. I don't want to search everything, I'm on the Desktop so I just want to flip through the files there.

I would like the option to disable the search on Desktop. I know a lot of people like the way it is now, but for me it's breaks the workflow that I've known for over a decade. It's been so long it's damn near muscle memory! xD

Just an option to enable/disable it would be great.
Comment 11 Bug Janitor Service 2022-03-04 14:24:27 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/859
Comment 12 Bug Janitor Service 2022-03-04 14:24:53 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1502
Comment 13 Bug Janitor Service 2022-03-13 03:33:04 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1562
Comment 14 Fushan Wen 2022-03-17 06:55:11 UTC
Git commit c83c1af622fd519d0efeae68db8a474a675bdbb9 by Fushan Wen.
Committed on 17/03/2022 at 06:43.
Pushed by fusionfuture into branch 'master'.

kcms/runners: Add option to set whether to open KRunner when typing on desktop

M  +4    -0    kcms/runners/krunnersettings.kcfg

https://invent.kde.org/plasma/plasma-desktop/commit/c83c1af622fd519d0efeae68db8a474a675bdbb9
Comment 15 Fushan Wen 2022-03-17 06:55:19 UTC
Git commit 6407a2a8d5c7258a1f25bf8686be0e35620e1a48 by Fushan Wen.
Committed on 17/03/2022 at 06:43.
Pushed by fusionfuture into branch 'master'.

kcms/runners: Move KRunner settings to individual KCM

Port them to QML.

M  +33   -2    kcms/runners/CMakeLists.txt
M  +24   -155  kcms/runners/kcm.cpp
M  +3    -19   kcms/runners/kcm.h
A  +21   -0    kcms/runners/kcm_krunnersettings.json
M  +2    -2    kcms/runners/krunnerdata.cpp
M  +2    -2    kcms/runners/krunnerdata.h
A  +143  -0    kcms/runners/krunnersettings.cpp     [License: GPL(v2.0+)]
A  +73   -0    kcms/runners/krunnersettings.h     [License: GPL(v2.0+)]
D  +0    -6    kcms/runners/krunnersettings.kcfgc
R  +0    -0    kcms/runners/krunnersettingsbase.kcfg [from: kcms/runners/krunnersettings.kcfg - 100% similarity]
A  +7    -0    kcms/runners/krunnersettingsbase.kcfgc
A  +181  -0    kcms/runners/package/contents/ui/main.qml     [License: GPL(v2.0+)]

https://invent.kde.org/plasma/plasma-desktop/commit/6407a2a8d5c7258a1f25bf8686be0e35620e1a48
Comment 16 Fushan Wen 2022-03-17 07:00:16 UTC
Git commit 33f2d322e42cc9f554b9bd8f1273b65ba7429b2b by Fushan Wen.
Committed on 17/03/2022 at 06:58.
Pushed by fusionfuture into branch 'master'.

krunner: Open kcm_krunnersettings instead of kcm_plasmasearch

kcm_plasmasearch now only has plugin settings. KRunner-specific settings
are moved to kcm_krunnersettings.

M  +1    -0    krunner/CMakeLists.txt
M  +9    -8    krunner/view.cpp
M  +1    -1    lookandfeel/contents/runcommand/RunCommand.qml

https://invent.kde.org/plasma/plasma-workspace/commit/33f2d322e42cc9f554b9bd8f1273b65ba7429b2b
Comment 17 Fushan Wen 2022-03-17 07:06:49 UTC
Git commit fa2241e24a894c35a663bbea305c4936701e6bd8 by Fushan Wen.
Committed on 17/03/2022 at 07:02.
Pushed by fusionfuture into branch 'master'.

shell: Follow `ActivateWhenTypingOnDesktop` from KRunner

When the option is unchecked, typing on the desktop will not activate
KRunner.
FIXED-IN: 5.25

M  +1    -0    shell/CMakeLists.txt
M  +16   -0    shell/desktopview.cpp
M  +6    -0    shell/desktopview.h

https://invent.kde.org/plasma/plasma-workspace/commit/fa2241e24a894c35a663bbea305c4936701e6bd8
Comment 18 Bug Janitor Service 2022-03-21 04:17:09 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1586
Comment 19 Nate Graham 2022-03-28 22:05:33 UTC
*** Bug 451968 has been marked as a duplicate of this bug. ***